com.sun.pdfview.decode

## Class ASCIIHexDecode

- java.lang.Object
- - com.sun.pdfview.decode.ASCIIHexDecode

    public class ASCIIHexDecode
    extends java.lang.Object

decode an array of hex nybbles into a byte array

### Method Summary

Methods
`static java.nio.ByteBuffer` `decode(java.nio.ByteBuffer buf, PDFObject params)` decode an array of bytes in ASCIIHex format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### decode

    public static java.nio.ByteBuffer decode(java.nio.ByteBuffer buf,
                             PDFObject params)
                                      throws PDFParseException

decode an array of bytes in ASCIIHex format.

ASCIIHex format consists of a sequence of Hexidecimal digits, with possible whitespace, ending with the '>' character.

Parameters:
  `buf` - the encoded ASCII85 characters in a byte buffer
  `params` - parameters to the decoder (ignored)
Returns:
  the decoded bytes
Throws:
  `PDFParseException`